## com.sun.mail.imap
Class ACL

    java.lang.Object
      com.sun.mail.imap.ACL

All Implemented Interfaces:
  Cloneable

    public class ACL

extends Object
implements Cloneable

An access control list entry for a particular authentication identifier (user or group). Associates a set of Rights with the identifier. See RFC 2086.

Constructor Summary
`ACL(String name)` Construct an ACL entry for the given identifier and with no rights.
`ACL(String name, Rights rights)` Construct an ACL entry for the given identifier with the given rights.

Method Summary
`Object` `clone()` Clone this ACL entry.
`String` `getName()` Get the identifier name for this ACL entry.
`Rights` `getRights()` Get the rights associated with this ACL entry.
`void` `setRights(Rights rights)` Set the rights associated with this ACL entry.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ACL

    public ACL(String name)

  Construct an ACL entry for the given identifier and with no rights.

  Parameters:
    `name` - the identifier name

### ACL

    public ACL(String name,
               Rights rights)

  Construct an ACL entry for the given identifier with the given rights.

  Parameters:
    `name` - the identifier name
    `rights` - the rights

Method Detail

### getName

    public String getName()

  Get the identifier name for this ACL entry.

  Returns:
    the identifier name

### setRights

    public void setRights(Rights rights)

  Set the rights associated with this ACL entry.

  Parameters:
    `rights` - the rights

### getRights

    public Rights getRights()

  Get the rights associated with this ACL entry. Returns the actual Rights object referenced by this ACL; modifications to the Rights object will effect this ACL.

  Returns:
    the rights

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clone this ACL entry.

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.